UNERF(1)

NAME
unerf - BioWare ERF (.erf, .mod, .nwm, .sav) archive extractor

SYNOPSIS
unerf [options] command archive [file ...]

DESCRIPTION
unerf extracts BioWare ERF archives, found in many BioWare games as files with the extension .erf, .mod, .nwm or .sav. Moreover, in some games, a .rim file might be an ERF instead of a RIM.

There's several different versions of ERFs. This tool supports the version V1.0, V1.1, V2.0, V2.2 and V3.0.

Supported features:
•   Archives with stripped filenames. The name hash is searched for in a big lookup table. If it is not found, the file is listed and extracted as a hexadecimal representation of the hash
•   zlib-compressed files are supported and transparently decompressed
•   Blowfish-encrypted archives are supported and are, provided you know the password, transparently decrypted
•   Archives that contain full paths are supported. You can either strip the directory and extract the plain filenames, or substitute the directory separator with a ‘=’
•   Archives with numerical extension IDs belonging to different games can be aliased accordingly.

Unsupported features:
•   XOR-encrypted archives
•   Creating directories when extracting archives with full paths.

    Please also note that by stripped the directories of files in these archives, you might overwrite already extracted files

OPTIONS
-h
- -help
    Show a help text and exit.
- -version
    Show version information and exit.
- -nwn2
    Alias file types according to Neverwinter Nights 2 rules.

    Neverwinter Nights 2 reuses a few file extension IDs differently than other BioWare games.
- -jade
    Alias file types according to Jade Empire rules.

    Jade Empire reuses a few file extension IDs differently than other BioWare games.
- -pass hex
    Password to decrypt this archive. This password needs to be specified in hexadecimal notation, even if it's an ASCII string. For example, “4CF223AB” would be a valid password string. “Foobar” would not.
- -nwm file
    Calculate the MD5 of this NWM file to complement the decryption key of a HAK file for a Neverwinter Nights premium module.
command
    i   Display meta-information about the archive
    l   List archive contents
    v   List archive contents with full paths
    e   Extract files to current directory
    s   Extract files to current directory with full name
archive
    The ERF archive to read.
file
    One or more files to extract. If none are given, the whole archive is extracted.

EXAMPLES
View meta-information of the archive Shadowlords1.mod:

    $ unerf i Shadowlords1.mod

List all files contained in the archive Chapter1.nwm:

    $ unerf l Chapter1.nwm

List all files, with full path, in the archive areas.erf:

    $ unerf v areas.erf

Extract all files from the archive foo.mod:

    $ unerf e foo.mod

Extract the file area1.are from the archive foo.mod:

    $ unerf e foo.mod area1.are

Extract all files, with full path, in the archive areas.erf:

    $ unerf s areas.erf

Extract the file areas\area1.are from the archive areas.erf:

    $ unerf s areas.erf areas\\area1.are

SEE ALSO
fixpremiumgff(1), unherf(1), unrim(1)

More information about the xoreos project can be found on its website: https://xoreos.org/.

AUTHORS
This program is part of the xoreos-tools package, which in turn is part of the xoreos project, and was written by the xoreos team. Please see the AUTHORS file for details.